{
  "annotations": {
    "list": [
      {
        "builtIn": 1,
        "datasource": {
          "type": "grafana",
          "uid": "-- Grafana --"
        },
        "enable": true,
        "hide": true,
        "iconColor": "rgba(0, 211, 255, 1)",
        "name": "Annotations & Alerts",
        "type": "dashboard"
      }
    ]
  },
  "editable": true,
  "fiscalYearStartMonth": 0,
  "graphTooltip": 1,
  "links": [],
  "panels": [
    {
      "collapsed": false,
      "gridPos": {
        "x": 0,
        "y": 0,
        "w": 24,
        "h": 1
      },
      "id": 1,
      "panels": [],
      "title": "Cluster Overview",
      "type": "row"
    },
    {
      "datasource": {
        "type": "prometheus",
        "uid": "${DS_PROMETHEUS}"
      },
      "fieldConfig": {
        "defaults": {
          "color": {
            "mode": "thresholds"
          },
          "thresholds": {
            "mode": "absolute",
            "steps": [
              {
                "color": "green",
                "value": null
              }
            ]
          }
        },
        "overrides": []
      },
      "gridPos": {
        "x": 0,
        "y": 1,
        "w": 3,
        "h": 4
      },
      "id": 2,
      "options": {
        "colorMode": "value",
        "graphMode": "area",
        "reduceOptions": {
          "calcs": [
            "lastNotNull"
          ]
        }
      },
      "targets": [
        {
          "datasource": {
            "type": "prometheus",
            "uid": "${DS_PROMETHEUS}"
          },
          "expr": "count(kube_node_info)",
          "instant": true,
          "legendFormat": "",
          "range": false,
          "refId": "A"
        }
      ],
      "title": "Total Nodes",
      "type": "stat"
    },
    {
      "datasource": {
        "type": "prometheus",
        "uid": "${DS_PROMETHEUS}"
      },
      "fieldConfig": {
        "defaults": {
          "color": {
            "mode": "thresholds"
          },
          "thresholds": {
            "mode": "absolute",
            "steps": [
              {
                "color": "green",
                "value": null
              }
            ]
          }
        },
        "overrides": []
      },
      "gridPos": {
        "x": 3,
        "y": 1,
        "w": 3,
        "h": 4
      },
      "id": 3,
      "options": {
        "colorMode": "value",
        "graphMode": "area",
        "reduceOptions": {
          "calcs": [
            "lastNotNull"
          ]
        }
      },
      "targets": [
        {
          "datasource": {
            "type": "prometheus",
            "uid": "${DS_PROMETHEUS}"
          },
          "expr": "count(kube_pod_info{namespace=\"foxhunt\"})",
          "instant": true,
          "legendFormat": "",
          "range": false,
          "refId": "A"
        }
      ],
      "title": "Total Pods",
      "type": "stat"
    },
    {
      "datasource": {
        "type": "prometheus",
        "uid": "${DS_PROMETHEUS}"
      },
      "fieldConfig": {
        "defaults": {
          "color": {
            "mode": "thresholds"
          },
          "thresholds": {
            "mode": "absolute",
            "steps": [
              {
                "color": "green",
                "value": null
              }
            ]
          }
        },
        "overrides": []
      },
      "gridPos": {
        "x": 6,
        "y": 1,
        "w": 3,
        "h": 4
      },
      "id": 4,
      "options": {
        "colorMode": "value",
        "graphMode": "area",
        "reduceOptions": {
          "calcs": [
            "lastNotNull"
          ]
        }
      },
      "targets": [
        {
          "datasource": {
            "type": "prometheus",
            "uid": "${DS_PROMETHEUS}"
          },
          "expr": "count(kube_pod_status_phase{namespace=\"foxhunt\", phase=\"Running\"})",
          "instant": true,
          "legendFormat": "",
          "range": false,
          "refId": "A"
        }
      ],
      "title": "Running Pods",
      "type": "stat"
    },
    {
      "datasource": {
        "type": "prometheus",
        "uid": "${DS_PROMETHEUS}"
      },
      "fieldConfig": {
        "defaults": {
          "color": {
            "mode": "thresholds"
          },
          "thresholds": {
            "mode": "absolute",
            "steps": [
              {
                "color": "green",
                "value": null
              }
            ]
          }
        },
        "overrides": []
      },
      "gridPos": {
        "x": 9,
        "y": 1,
        "w": 3,
        "h": 4
      },
      "id": 5,
      "options": {
        "colorMode": "value",
        "graphMode": "area",
        "reduceOptions": {
          "calcs": [
            "lastNotNull"
          ]
        }
      },
      "targets": [
        {
          "datasource": {
            "type": "prometheus",
            "uid": "${DS_PROMETHEUS}"
          },
          "expr": "sum(kube_node_status_capacity{resource=\"cpu\"})",
          "instant": true,
          "legendFormat": "",
          "range": false,
          "refId": "A"
        }
      ],
      "title": "CPU Cores (Total)",
      "type": "stat"
    },
    {
      "datasource": {
        "type": "prometheus",
        "uid": "${DS_PROMETHEUS}"
      },
      "fieldConfig": {
        "defaults": {
          "color": {
            "mode": "thresholds"
          },
          "thresholds": {
            "mode": "absolute",
            "steps": [
              {
                "color": "green",
                "value": null
              }
            ]
          },
          "unit": "bytes"
        },
        "overrides": []
      },
      "gridPos": {
        "x": 12,
        "y": 1,
        "w": 3,
        "h": 4
      },
      "id": 6,
      "options": {
        "colorMode": "value",
        "graphMode": "area",
        "reduceOptions": {
          "calcs": [
            "lastNotNull"
          ]
        }
      },
      "targets": [
        {
          "datasource": {
            "type": "prometheus",
            "uid": "${DS_PROMETHEUS}"
          },
          "expr": "sum(kube_node_status_capacity{resource=\"memory\"})",
          "instant": true,
          "legendFormat": "",
          "range": false,
          "refId": "A"
        }
      ],
      "title": "Memory (Total)",
      "type": "stat"
    },
    {
      "datasource": {
        "type": "prometheus",
        "uid": "${DS_PROMETHEUS}"
      },
      "fieldConfig": {
        "defaults": {
          "color": {
            "mode": "thresholds"
          },
          "thresholds": {
            "mode": "absolute",
            "steps": [
              {
                "color": "green",
                "value": null
              }
            ]
          },
          "unit": "percentunit"
        },
        "overrides": []
      },
      "gridPos": {
        "x": 15,
        "y": 1,
        "w": 3,
        "h": 4
      },
      "id": 7,
      "options": {
        "colorMode": "value",
        "graphMode": "area",
        "reduceOptions": {
          "calcs": [
            "lastNotNull"
          ]
        }
      },
      "targets": [
        {
          "datasource": {
            "type": "prometheus",
            "uid": "${DS_PROMETHEUS}"
          },
          "expr": "sum(kube_pod_container_resource_requests{namespace=\"foxhunt\",resource=\"cpu\"}) / sum(kube_node_status_allocatable{resource=\"cpu\"})",
          "instant": true,
          "legendFormat": "",
          "range": false,
          "refId": "A"
        }
      ],
      "title": "CPU Requested %",
      "type": "stat"
    },
    {
      "datasource": {
        "type": "prometheus",
        "uid": "${DS_PROMETHEUS}"
      },
      "fieldConfig": {
        "defaults": {
          "color": {
            "mode": "thresholds"
          },
          "thresholds": {
            "mode": "absolute",
            "steps": [
              {
                "color": "green",
                "value": null
              }
            ]
          },
          "unit": "percentunit"
        },
        "overrides": []
      },
      "gridPos": {
        "x": 18,
        "y": 1,
        "w": 3,
        "h": 4
      },
      "id": 8,
      "options": {
        "colorMode": "value",
        "graphMode": "area",
        "reduceOptions": {
          "calcs": [
            "lastNotNull"
          ]
        }
      },
      "targets": [
        {
          "datasource": {
            "type": "prometheus",
            "uid": "${DS_PROMETHEUS}"
          },
          "expr": "sum(kube_pod_container_resource_requests{namespace=\"foxhunt\",resource=\"memory\"}) / sum(kube_node_status_allocatable{resource=\"memory\"})",
          "instant": true,
          "legendFormat": "",
          "range": false,
          "refId": "A"
        }
      ],
      "title": "Memory Requested %",
      "type": "stat"
    },
    {
      "datasource": {
        "type": "prometheus",
        "uid": "${DS_PROMETHEUS}"
      },
      "fieldConfig": {
        "defaults": {
          "color": {
            "mode": "thresholds"
          },
          "thresholds": {
            "mode": "absolute",
            "steps": [
              {
                "color": "green",
                "value": null
              }
            ]
          }
        },
        "overrides": []
      },
      "gridPos": {
        "x": 21,
        "y": 1,
        "w": 3,
        "h": 4
      },
      "id": 9,
      "options": {
        "colorMode": "value",
        "graphMode": "area",
        "reduceOptions": {
          "calcs": [
            "lastNotNull"
          ]
        }
      },
      "targets": [
        {
          "datasource": {
            "type": "prometheus",
            "uid": "${DS_PROMETHEUS}"
          },
          "expr": "count(kube_persistentvolumeclaim_info{namespace=\"foxhunt\"})",
          "instant": true,
          "legendFormat": "",
          "range": false,
          "refId": "A"
        }
      ],
      "title": "PVCs",
      "type": "stat"
    },
    {
      "id": 101,
      "type": "row",
      "title": "Actual Costs (Scaleway Billing API)",
      "gridPos": {
        "x": 0,
        "y": 5,
        "w": 24,
        "h": 1
      },
      "collapsed": false,
      "panels": []
    },
    {
      "id": 102,
      "type": "stat",
      "title": "Total MTD",
      "datasource": {
        "type": "prometheus",
        "uid": "PBFA97CFB590B2093"
      },
      "targets": [
        {
          "datasource": {
            "type": "prometheus",
            "uid": "PBFA97CFB590B2093"
          },
          "expr": "scaleway_billing_total_eur{job=\"scaleway_billing\"}",
          "legendFormat": "",
          "refId": "A",
          "instant": true,
          "range": false
        }
      ],
      "gridPos": {
        "x": 0,
        "y": 6,
        "w": 4,
        "h": 5
      },
      "fieldConfig": {
        "defaults": {
          "unit": "currencyEUR",
          "thresholds": {
            "mode": "absolute",
            "steps": [
              {
                "color": "blue",
                "value": null
              }
            ]
          },
          "color": {
            "mode": "thresholds"
          }
        },
        "overrides": []
      },
      "options": {
        "reduceOptions": {
          "calcs": [
            "lastNotNull"
          ]
        },
        "colorMode": "value",
        "graphMode": "none"
      }
    },
    {
      "id": 103,
      "type": "stat",
      "title": "Compute",
      "datasource": {
        "type": "prometheus",
        "uid": "PBFA97CFB590B2093"
      },
      "targets": [
        {
          "datasource": {
            "type": "prometheus",
            "uid": "PBFA97CFB590B2093"
          },
          "expr": "scaleway_billing_consumption_eur{category=\"compute\",job=\"scaleway_billing\"}",
          "legendFormat": "",
          "refId": "A",
          "instant": true,
          "range": false
        }
      ],
      "gridPos": {
        "x": 4,
        "y": 6,
        "w": 4,
        "h": 5
      },
      "fieldConfig": {
        "defaults": {
          "unit": "currencyEUR",
          "thresholds": {
            "mode": "absolute",
            "steps": [
              {
                "color": "orange",
                "value": null
              }
            ]
          },
          "color": {
            "mode": "thresholds"
          }
        },
        "overrides": []
      },
      "options": {
        "reduceOptions": {
          "calcs": [
            "lastNotNull"
          ]
        },
        "colorMode": "value",
        "graphMode": "none"
      }
    },
    {
      "id": 104,
      "type": "stat",
      "title": "Storage",
      "datasource": {
        "type": "prometheus",
        "uid": "PBFA97CFB590B2093"
      },
      "targets": [
        {
          "datasource": {
            "type": "prometheus",
            "uid": "PBFA97CFB590B2093"
          },
          "expr": "scaleway_billing_consumption_eur{category=\"storage\",job=\"scaleway_billing\"}",
          "legendFormat": "",
          "refId": "A",
          "instant": true,
          "range": false
        }
      ],
      "gridPos": {
        "x": 8,
        "y": 6,
        "w": 4,
        "h": 5
      },
      "fieldConfig": {
        "defaults": {
          "unit": "currencyEUR",
          "thresholds": {
            "mode": "absolute",
            "steps": [
              {
                "color": "purple",
                "value": null
              }
            ]
          },
          "color": {
            "mode": "thresholds"
          }
        },
        "overrides": []
      },
      "options": {
        "reduceOptions": {
          "calcs": [
            "lastNotNull"
          ]
        },
        "colorMode": "value",
        "graphMode": "none"
      }
    },
    {
      "id": 105,
      "type": "stat",
      "title": "Network",
      "datasource": {
        "type": "prometheus",
        "uid": "PBFA97CFB590B2093"
      },
      "targets": [
        {
          "datasource": {
            "type": "prometheus",
            "uid": "PBFA97CFB590B2093"
          },
          "expr": "scaleway_billing_consumption_eur{category=\"network\",job=\"scaleway_billing\"}",
          "legendFormat": "",
          "refId": "A",
          "instant": true,
          "range": false
        }
      ],
      "gridPos": {
        "x": 12,
        "y": 6,
        "w": 4,
        "h": 5
      },
      "fieldConfig": {
        "defaults": {
          "unit": "currencyEUR",
          "thresholds": {
            "mode": "absolute",
            "steps": [
              {
                "color": "green",
                "value": null
              }
            ]
          },
          "color": {
            "mode": "thresholds"
          }
        },
        "overrides": []
      },
      "options": {
        "reduceOptions": {
          "calcs": [
            "lastNotNull"
          ]
        },
        "colorMode": "value",
        "graphMode": "none"
      }
    },
    {
      "id": 106,
      "type": "stat",
      "title": "Registry",
      "datasource": {
        "type": "prometheus",
        "uid": "PBFA97CFB590B2093"
      },
      "targets": [
        {
          "datasource": {
            "type": "prometheus",
            "uid": "PBFA97CFB590B2093"
          },
          "expr": "scaleway_billing_consumption_eur{category=\"containers\",job=\"scaleway_billing\"}",
          "legendFormat": "",
          "refId": "A",
          "instant": true,
          "range": false
        }
      ],
      "gridPos": {
        "x": 16,
        "y": 6,
        "w": 4,
        "h": 5
      },
      "fieldConfig": {
        "defaults": {
          "unit": "currencyEUR",
          "thresholds": {
            "mode": "absolute",
            "steps": [
              {
                "color": "yellow",
                "value": null
              }
            ]
          },
          "color": {
            "mode": "thresholds"
          }
        },
        "overrides": []
      },
      "options": {
        "reduceOptions": {
          "calcs": [
            "lastNotNull"
          ]
        },
        "colorMode": "value",
        "graphMode": "none"
      }
    },
    {
      "id": 107,
      "type": "barchart",
      "title": "Cost Breakdown by Product",
      "datasource": {
        "type": "prometheus",
        "uid": "PBFA97CFB590B2093"
      },
      "targets": [
        {
          "datasource": {
            "type": "prometheus",
            "uid": "PBFA97CFB590B2093"
          },
          "expr": "sort_desc(scaleway_billing_product_eur{job=\"scaleway_billing\"})",
          "legendFormat": "{{product}}",
          "refId": "A",
          "instant": true,
          "range": false
        }
      ],
      "gridPos": {
        "x": 0,
        "y": 16,
        "w": 12,
        "h": 10
      },
      "fieldConfig": {
        "defaults": {
          "unit": "currencyEUR",
          "color": {
            "mode": "palette-classic"
          }
        },
        "overrides": []
      },
      "options": {
        "orientation": "horizontal",
        "showValue": "always",
        "xTickLabelRotation": 0,
        "legend": {
          "displayMode": "list",
          "placement": "right"
        }
      }
    },
    {
      "id": 108,
      "type": "piechart",
      "title": "Cost by Category",
      "datasource": {
        "type": "prometheus",
        "uid": "PBFA97CFB590B2093"
      },
      "targets": [
        {
          "datasource": {
            "type": "prometheus",
            "uid": "PBFA97CFB590B2093"
          },
          "expr": "scaleway_billing_consumption_eur{job=\"scaleway_billing\"}",
          "legendFormat": "{{category}}",
          "refId": "A",
          "instant": true,
          "range": false
        }
      ],
      "gridPos": {
        "x": 12,
        "y": 16,
        "w": 12,
        "h": 10
      },
      "fieldConfig": {
        "defaults": {
          "unit": "currencyEUR",
          "color": {
            "mode": "palette-classic"
          }
        },
        "overrides": []
      },
      "options": {
        "reduceOptions": {
          "calcs": [
            "lastNotNull"
          ]
        },
        "pieType": "donut",
        "legend": {
          "displayMode": "table",
          "placement": "right",
          "values": [
            "value",
            "percent"
          ]
        }
      }
    },
    {
      "collapsed": false,
      "gridPos": {
        "x": 0,
        "y": 26,
        "w": 24,
        "h": 1
      },
      "id": 10,
      "panels": [],
      "title": "Projected Costs (by node count)",
      "type": "row"
    },
    {
      "datasource": {
        "type": "prometheus",
        "uid": "${DS_PROMETHEUS}"
      },
      "fieldConfig": {
        "defaults": {
          "color": {
            "mode": "thresholds"
          },
          "thresholds": {
            "mode": "absolute",
            "steps": [
              {
                "color": "green",
                "value": null
              }
            ]
          }
        },
        "overrides": []
      },
      "gridPos": {
        "x": 0,
        "y": 27,
        "w": 4,
        "h": 5
      },
      "id": 11,
      "options": {
        "colorMode": "value",
        "graphMode": "area",
        "reduceOptions": {
          "calcs": [
            "lastNotNull"
          ]
        }
      },
      "targets": [
        {
          "datasource": {
            "type": "prometheus",
            "uid": "${DS_PROMETHEUS}"
          },
          "expr": "count(kube_node_info{node=~\".*platform.*\"})",
          "instant": true,
          "legendFormat": "",
          "range": false,
          "refId": "A"
        }
      ],
      "title": "Platform Nodes",
      "type": "stat"
    },
    {
      "datasource": {
        "type": "prometheus",
        "uid": "${DS_PROMETHEUS}"
      },
      "fieldConfig": {
        "defaults": {
          "color": {
            "mode": "thresholds"
          },
          "thresholds": {
            "mode": "absolute",
            "steps": [
              {
                "color": "green",
                "value": null
              }
            ]
          },
          "unit": "currencyEUR"
        },
        "overrides": []
      },
      "gridPos": {
        "x": 4,
        "y": 27,
        "w": 4,
        "h": 5
      },
      "id": 12,
      "options": {
        "colorMode": "value",
        "graphMode": "area",
        "reduceOptions": {
          "calcs": [
            "lastNotNull"
          ]
        }
      },
      "targets": [
        {
          "datasource": {
            "type": "prometheus",
            "uid": "${DS_PROMETHEUS}"
          },
          "expr": "count(kube_node_info{node=~\".*platform.*\"}) * 0.569",
          "instant": true,
          "legendFormat": "",
          "range": false,
          "refId": "A"
        }
      ],
      "title": "Platform Cost (\u20ac/hr)",
      "type": "stat"
    },
    {
      "datasource": {
        "type": "prometheus",
        "uid": "${DS_PROMETHEUS}"
      },
      "fieldConfig": {
        "defaults": {
          "color": {
            "mode": "thresholds"
          },
          "thresholds": {
            "mode": "absolute",
            "steps": [
              {
                "color": "green",
                "value": null
              }
            ]
          },
          "unit": "currencyEUR"
        },
        "overrides": []
      },
      "gridPos": {
        "x": 8,
        "y": 27,
        "w": 4,
        "h": 5
      },
      "id": 13,
      "options": {
        "colorMode": "value",
        "graphMode": "area",
        "reduceOptions": {
          "calcs": [
            "lastNotNull"
          ]
        }
      },
      "targets": [
        {
          "datasource": {
            "type": "prometheus",
            "uid": "${DS_PROMETHEUS}"
          },
          "expr": "count(kube_node_info{node=~\".*platform.*\"}) * 0.569 * 730",
          "instant": true,
          "legendFormat": "",
          "range": false,
          "refId": "A"
        }
      ],
      "title": "Platform Cost (\u20ac/month)",
      "type": "stat"
    },
    {
      "datasource": {
        "type": "prometheus",
        "uid": "${DS_PROMETHEUS}"
      },
      "fieldConfig": {
        "defaults": {
          "color": {
            "mode": "thresholds"
          },
          "thresholds": {
            "mode": "absolute",
            "steps": [
              {
                "color": "green",
                "value": null
              }
            ]
          }
        },
        "overrides": []
      },
      "gridPos": {
        "x": 12,
        "y": 27,
        "w": 4,
        "h": 5
      },
      "id": 14,
      "options": {
        "colorMode": "value",
        "graphMode": "area",
        "reduceOptions": {
          "calcs": [
            "lastNotNull"
          ]
        }
      },
      "targets": [
        {
          "datasource": {
            "type": "prometheus",
            "uid": "${DS_PROMETHEUS}"
          },
          "expr": "count(kube_node_info{node=~\".*h100.*\"}) or vector(0)",
          "instant": true,
          "legendFormat": "",
          "range": false,
          "refId": "A"
        }
      ],
      "title": "GPU Nodes",
      "type": "stat"
    },
    {
      "datasource": {
        "type": "prometheus",
        "uid": "${DS_PROMETHEUS}"
      },
      "fieldConfig": {
        "defaults": {
          "color": {
            "mode": "thresholds"
          },
          "thresholds": {
            "mode": "absolute",
            "steps": [
              {
                "color": "green",
                "value": null
              }
            ]
          },
          "unit": "currencyEUR"
        },
        "overrides": []
      },
      "gridPos": {
        "x": 16,
        "y": 27,
        "w": 4,
        "h": 5
      },
      "id": 15,
      "options": {
        "colorMode": "value",
        "graphMode": "area",
        "reduceOptions": {
          "calcs": [
            "lastNotNull"
          ]
        }
      },
      "targets": [
        {
          "datasource": {
            "type": "prometheus",
            "uid": "${DS_PROMETHEUS}"
          },
          "expr": "(count(kube_node_info{node=~\".*h100.*\"}) or vector(0)) * 5.08",
          "instant": true,
          "legendFormat": "",
          "range": false,
          "refId": "A"
        }
      ],
      "title": "GPU Cost (\u20ac/hr)",
      "type": "stat"
    },
    {
      "datasource": {
        "type": "prometheus",
        "uid": "${DS_PROMETHEUS}"
      },
      "fieldConfig": {
        "defaults": {
          "color": {
            "mode": "thresholds"
          },
          "thresholds": {
            "mode": "absolute",
            "steps": [
              {
                "color": "green",
                "value": null
              }
            ]
          }
        },
        "overrides": []
      },
      "gridPos": {
        "x": 20,
        "y": 27,
        "w": 4,
        "h": 5
      },
      "id": 16,
      "options": {
        "colorMode": "value",
        "graphMode": "area",
        "reduceOptions": {
          "calcs": [
            "lastNotNull"
          ]
        }
      },
      "targets": [
        {
          "datasource": {
            "type": "prometheus",
            "uid": "${DS_PROMETHEUS}"
          },
          "expr": "count(kube_node_info{node=~\".*compile.*\"}) or vector(0)",
          "instant": true,
          "legendFormat": "",
          "range": false,
          "refId": "A"
        }
      ],
      "title": "CI CPU Nodes",
      "type": "stat"
    },
    {
      "collapsed": false,
      "gridPos": {
        "x": 0,
        "y": 32,
        "w": 24,
        "h": 1
      },
      "id": 17,
      "panels": [],
      "title": "Total Estimated Costs",
      "type": "row"
    },
    {
      "datasource": {
        "type": "prometheus",
        "uid": "${DS_PROMETHEUS}"
      },
      "fieldConfig": {
        "defaults": {
          "custom": {
            "drawStyle": "line",
            "fillOpacity": 10,
            "lineWidth": 1,
            "stacking": {
              "mode": "normal"
            }
          },
          "unit": "currencyEUR"
        },
        "overrides": []
      },
      "gridPos": {
        "x": 0,
        "y": 33,
        "w": 12,
        "h": 8
      },
      "id": 18,
      "options": {
        "legend": {
          "displayMode": "list",
          "placement": "bottom"
        },
        "tooltip": {
          "mode": "multi",
          "sort": "desc"
        }
      },
      "targets": [
        {
          "datasource": {
            "type": "prometheus",
            "uid": "${DS_PROMETHEUS}"
          },
          "expr": "count(kube_node_info{node=~\".*platform.*\"}) * 0.569",
          "legendFormat": "Platform",
          "refId": "A"
        },
        {
          "datasource": {
            "type": "prometheus",
            "uid": "${DS_PROMETHEUS}"
          },
          "expr": "(count(kube_node_info{node=~\".*h100.*\"}) or vector(0)) * 5.08",
          "legendFormat": "GPU (H100)",
          "refId": "B"
        },
        {
          "datasource": {
            "type": "prometheus",
            "uid": "${DS_PROMETHEUS}"
          },
          "expr": "(count(kube_node_info{node=~\".*compile.*\"}) or vector(0)) * 0.569",
          "legendFormat": "CI Compile",
          "refId": "C"
        }
      ],
      "title": "Hourly Compute Cost (\u20ac)",
      "type": "timeseries"
    },
    {
      "datasource": {
        "type": "prometheus",
        "uid": "${DS_PROMETHEUS}"
      },
      "fieldConfig": {
        "defaults": {
          "custom": {
            "drawStyle": "line",
            "fillOpacity": 10,
            "lineWidth": 1,
            "stacking": {
              "mode": "normal"
            }
          },
          "unit": "currencyEUR"
        },
        "overrides": []
      },
      "gridPos": {
        "x": 12,
        "y": 33,
        "w": 12,
        "h": 8
      },
      "id": 19,
      "options": {
        "legend": {
          "displayMode": "list",
          "placement": "bottom"
        },
        "tooltip": {
          "mode": "multi",
          "sort": "desc"
        }
      },
      "targets": [
        {
          "datasource": {
            "type": "prometheus",
            "uid": "${DS_PROMETHEUS}"
          },
          "expr": "count(kube_node_info{node=~\".*platform.*\"}) * 0.569 * 730",
          "legendFormat": "Platform",
          "refId": "A"
        },
        {
          "datasource": {
            "type": "prometheus",
            "uid": "${DS_PROMETHEUS}"
          },
          "expr": "(count(kube_node_info{node=~\".*h100.*\"}) or vector(0)) * 5.08 * 730",
          "legendFormat": "GPU (H100)",
          "refId": "B"
        },
        {
          "datasource": {
            "type": "prometheus",
            "uid": "${DS_PROMETHEUS}"
          },
          "expr": "(count(kube_node_info{node=~\".*compile.*\"}) or vector(0)) * 0.569 * 730",
          "legendFormat": "CI Compile",
          "refId": "C"
        }
      ],
      "title": "Projected Monthly Cost (\u20ac)",
      "type": "timeseries"
    },
    {
      "collapsed": false,
      "gridPos": {
        "x": 0,
        "y": 41,
        "w": 24,
        "h": 1
      },
      "id": 20,
      "panels": [],
      "title": "Node Resource Usage",
      "type": "row"
    },
    {
      "datasource": {
        "type": "prometheus",
        "uid": "${DS_PROMETHEUS}"
      },
      "fieldConfig": {
        "defaults": {
          "custom": {
            "drawStyle": "line",
            "fillOpacity": 10,
            "lineWidth": 1,
            "stacking": {
              "mode": "none"
            }
          },
          "unit": "percentunit"
        },
        "overrides": []
      },
      "gridPos": {
        "x": 0,
        "y": 42,
        "w": 12,
        "h": 8
      },
      "id": 21,
      "options": {
        "legend": {
          "displayMode": "list",
          "placement": "bottom"
        },
        "tooltip": {
          "mode": "multi",
          "sort": "desc"
        }
      },
      "targets": [
        {
          "datasource": {
            "type": "prometheus",
            "uid": "${DS_PROMETHEUS}"
          },
          "expr": "1 - avg by (node) (rate(node_cpu_seconds_total{mode=\"idle\"}[$interval]))",
          "legendFormat": "{{node}}",
          "refId": "A"
        }
      ],
      "title": "Node CPU Usage",
      "type": "timeseries"
    },
    {
      "datasource": {
        "type": "prometheus",
        "uid": "${DS_PROMETHEUS}"
      },
      "fieldConfig": {
        "defaults": {
          "custom": {
            "drawStyle": "line",
            "fillOpacity": 10,
            "lineWidth": 1,
            "stacking": {
              "mode": "none"
            }
          },
          "unit": "percentunit"
        },
        "overrides": []
      },
      "gridPos": {
        "x": 12,
        "y": 42,
        "w": 12,
        "h": 8
      },
      "id": 22,
      "options": {
        "legend": {
          "displayMode": "list",
          "placement": "bottom"
        },
        "tooltip": {
          "mode": "multi",
          "sort": "desc"
        }
      },
      "targets": [
        {
          "datasource": {
            "type": "prometheus",
            "uid": "${DS_PROMETHEUS}"
          },
          "expr": "1 - node_memory_MemAvailable_bytes / node_memory_MemTotal_bytes",
          "legendFormat": "{{instance}}",
          "refId": "A"
        }
      ],
      "title": "Node Memory Usage",
      "type": "timeseries"
    },
    {
      "datasource": {
        "type": "prometheus",
        "uid": "${DS_PROMETHEUS}"
      },
      "fieldConfig": {
        "defaults": {
          "custom": {
            "drawStyle": "line",
            "fillOpacity": 10,
            "lineWidth": 1,
            "stacking": {
              "mode": "none"
            }
          },
          "unit": "percentunit"
        },
        "overrides": []
      },
      "gridPos": {
        "x": 0,
        "y": 50,
        "w": 12,
        "h": 8
      },
      "id": 23,
      "options": {
        "legend": {
          "displayMode": "list",
          "placement": "bottom"
        },
        "tooltip": {
          "mode": "multi",
          "sort": "desc"
        }
      },
      "targets": [
        {
          "datasource": {
            "type": "prometheus",
            "uid": "${DS_PROMETHEUS}"
          },
          "expr": "1 - node_filesystem_avail_bytes{mountpoint=\"/\"} / node_filesystem_size_bytes{mountpoint=\"/\"}",
          "legendFormat": "{{instance}}",
          "refId": "A"
        }
      ],
      "title": "Node Disk Usage",
      "type": "timeseries"
    },
    {
      "datasource": {
        "type": "prometheus",
        "uid": "${DS_PROMETHEUS}"
      },
      "fieldConfig": {
        "defaults": {
          "custom": {
            "drawStyle": "line",
            "fillOpacity": 10,
            "lineWidth": 1,
            "stacking": {
              "mode": "none"
            }
          },
          "unit": "Bps"
        },
        "overrides": []
      },
      "gridPos": {
        "x": 12,
        "y": 50,
        "w": 12,
        "h": 8
      },
      "id": 24,
      "options": {
        "legend": {
          "displayMode": "list",
          "placement": "bottom"
        },
        "tooltip": {
          "mode": "multi",
          "sort": "desc"
        }
      },
      "targets": [
        {
          "datasource": {
            "type": "prometheus",
            "uid": "${DS_PROMETHEUS}"
          },
          "expr": "rate(node_network_receive_bytes_total{device!=\"lo\"}[$interval])",
          "legendFormat": "RX {{instance}}",
          "refId": "A"
        },
        {
          "datasource": {
            "type": "prometheus",
            "uid": "${DS_PROMETHEUS}"
          },
          "expr": "rate(node_network_transmit_bytes_total{device!=\"lo\"}[$interval])",
          "legendFormat": "TX {{instance}}",
          "refId": "B"
        }
      ],
      "title": "Node Network",
      "type": "timeseries"
    },
    {
      "collapsed": false,
      "gridPos": {
        "x": 0,
        "y": 58,
        "w": 24,
        "h": 1
      },
      "id": 25,
      "panels": [],
      "title": "Namespace Resource Breakdown",
      "type": "row"
    },
    {
      "datasource": {
        "type": "prometheus",
        "uid": "${DS_PROMETHEUS}"
      },
      "fieldConfig": {
        "defaults": {
          "custom": {
            "drawStyle": "line",
            "fillOpacity": 10,
            "lineWidth": 1,
            "stacking": {
              "mode": "none"
            }
          }
        },
        "overrides": []
      },
      "gridPos": {
        "x": 0,
        "y": 59,
        "w": 12,
        "h": 8
      },
      "id": 26,
      "options": {
        "legend": {
          "displayMode": "list",
          "placement": "bottom"
        },
        "tooltip": {
          "mode": "multi",
          "sort": "desc"
        }
      },
      "targets": [
        {
          "datasource": {
            "type": "prometheus",
            "uid": "${DS_PROMETHEUS}"
          },
          "expr": "sum by (pod) (rate(container_cpu_usage_seconds_total{namespace=\"foxhunt\", container!=\"\"}[$interval]))",
          "legendFormat": "{{pod}}",
          "refId": "A"
        }
      ],
      "title": "CPU by Service",
      "type": "timeseries"
    },
    {
      "datasource": {
        "type": "prometheus",
        "uid": "${DS_PROMETHEUS}"
      },
      "fieldConfig": {
        "defaults": {
          "custom": {
            "drawStyle": "line",
            "fillOpacity": 10,
            "lineWidth": 1,
            "stacking": {
              "mode": "none"
            }
          },
          "unit": "bytes"
        },
        "overrides": []
      },
      "gridPos": {
        "x": 12,
        "y": 59,
        "w": 12,
        "h": 8
      },
      "id": 27,
      "options": {
        "legend": {
          "displayMode": "list",
          "placement": "bottom"
        },
        "tooltip": {
          "mode": "multi",
          "sort": "desc"
        }
      },
      "targets": [
        {
          "datasource": {
            "type": "prometheus",
            "uid": "${DS_PROMETHEUS}"
          },
          "expr": "sum by (pod) (container_memory_working_set_bytes{namespace=\"foxhunt\", container!=\"\"})",
          "legendFormat": "{{pod}}",
          "refId": "A"
        }
      ],
      "title": "Memory by Service",
      "type": "timeseries"
    }
  ],
  "refresh": "30s",
  "schemaVersion": 39,
  "tags": [
    "platform",
    "costs",
    "scaleway"
  ],
  "templating": {
    "list": [
      {
        "auto": false,
        "current": {
          "text": "5m",
          "value": "5m"
        },
        "name": "interval",
        "options": [
          {
            "selected": false,
            "text": "1m",
            "value": "1m"
          },
          {
            "selected": true,
            "text": "5m",
            "value": "5m"
          },
          {
            "selected": false,
            "text": "15m",
            "value": "15m"
          },
          {
            "selected": false,
            "text": "30m",
            "value": "30m"
          },
          {
            "selected": false,
            "text": "1h",
            "value": "1h"
          }
        ],
        "query": "1m,5m,15m,30m,1h",
        "type": "interval"
      }
    ]
  },
  "time": {
    "from": "now-1h",
    "to": "now"
  },
  "timezone": "browser",
  "title": "Cluster & Costs",
  "uid": "plat-costs"
}